package cz.muni.fi.pa165.examples.currencyconvertor;

import java.math.BigDecimal;
import java.util.Currency;

class CurrencyConvertor {

    private ExchangeRateTable exchangeRateTable;

    public CurrencyConvertor(ExchangeRateTable exchangeRateTable) {
        this.exchangeRateTable = exchangeRateTable;
    }

    public BigDecimal convert(Currency targetCurrency, BigDecimal amount) {
        BigDecimal exchangeRate = exchangeRateTable.getExchangeRate(targetCurrency);
        return exchangeRate.multiply(amount);
    }
}